## org.hibernate.ejb.criteria.predicate
Class InPredicate<T>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Boolean>
                      org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
                          org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
                              org.hibernate.ejb.criteria.predicate.InPredicate<T>

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.CriteriaBuilder.In<T>, javax.persistence.criteria.Expression<Boolean>, javax.persistence.criteria.Predicate, javax.persistence.criteria.Selection<Boolean>, TupleElement<Boolean>, ExpressionImplementor<Boolean>, ParameterContainer, Renderable, SelectionImplementor<Boolean>, TupleElementImplementor<Boolean>

    public class InPredicate<T>

extends AbstractSimplePredicate
implements javax.persistence.criteria.CriteriaBuilder.In<T>, Serializable

Models an `[NOT] IN` restriction

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`javax.persistence.criteria.Predicate.BooleanOperator`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`InPredicate(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<? extends T> expression)` Constructs an `IN` predicate against a given expression with an empty list of values.
`InPredicate(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<? extends T> expression, Collection<T> values)` Constructs an `IN` predicate against a given expression with the given literal value list.
`InPredicate(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<? extends T> expression, javax.persistence.criteria.Expression<? extends T>... values)` Constructs an `IN` predicate against a given expression with the given list of expression values.
`InPredicate(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<? extends T> expression, List<javax.persistence.criteria.Expression<? extends T>> values)` Constructs an `IN` predicate against a given expression with the given list of expression values.
`InPredicate(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<? extends T> expression, T... values)` Constructs an `IN` predicate against a given expression with the given given literal value list.

Method Summary
`javax.persistence.criteria.Expression<T>` `getExpression()`
`javax.persistence.criteria.Expression<? extends T>` `getExpressionInternal()`
`List<javax.persistence.criteria.Expression<? extends T>>` `getValues()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`
`InPredicate<T>` `value(javax.persistence.criteria.Expression<? extends T> value)`
`InPredicate<T>` `value(T value)`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate
`getExpressions, getOperator`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
`getCompoundSelectionItems, isCompoundSelection, isNegated, not`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getValueHandlers`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Predicate
`getExpressions, getOperator, isNegated, not`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### InPredicate

    public InPredicate(CriteriaBuilderImpl criteriaBuilder,
                       javax.persistence.criteria.Expression<? extends T> expression)

  Constructs an `IN` predicate against a given expression with an empty list of values.

  Parameters:
    `criteriaBuilder` - The query builder from which this originates.
    `expression` - The expression.

### InPredicate

    public InPredicate(CriteriaBuilderImpl criteriaBuilder,
                       javax.persistence.criteria.Expression<? extends T> expression,
                       javax.persistence.criteria.Expression<? extends T>... values)

  Constructs an `IN` predicate against a given expression with the given list of expression values.

  Parameters:
    `criteriaBuilder` - The query builder from which this originates.
    `expression` - The expression.
    `values` - The value list.

### InPredicate

    public InPredicate(CriteriaBuilderImpl criteriaBuilder,
                       javax.persistence.criteria.Expression<? extends T> expression,
                       List<javax.persistence.criteria.Expression<? extends T>> values)

  Constructs an `IN` predicate against a given expression with the given list of expression values.

  Parameters:
    `criteriaBuilder` - The query builder from which this originates.
    `expression` - The expression.
    `values` - The value list.

### InPredicate

    public InPredicate(CriteriaBuilderImpl criteriaBuilder,
                       javax.persistence.criteria.Expression<? extends T> expression,
                       T... values)

  Constructs an `IN` predicate against a given expression with the given given literal value list.

  Parameters:
    `criteriaBuilder` - The query builder from which this originates.
    `expression` - The expression.
    `values` - The value list.

### InPredicate

    public InPredicate(CriteriaBuilderImpl criteriaBuilder,
                       javax.persistence.criteria.Expression<? extends T> expression,
                       Collection<T> values)

  Constructs an `IN` predicate against a given expression with the given literal value list.

  Parameters:
    `criteriaBuilder` - The query builder from which this originates.
    `expression` - The expression.
    `values` - The value list.

Method Detail

### getExpression

    public javax.persistence.criteria.Expression<T> getExpression()

  Specified by:
    `getExpression` in interface `javax.persistence.criteria.CriteriaBuilder.In<T>`

### getExpressionInternal

    public javax.persistence.criteria.Expression<? extends T> getExpressionInternal()

### getValues

    public List<javax.persistence.criteria.Expression<? extends T>> getValues()

### value

    public InPredicate<T> value(T value)

  Specified by:
    `value` in interface `javax.persistence.criteria.CriteriaBuilder.In<T>`

### value

    public InPredicate<T> value(javax.persistence.criteria.Expression<? extends T> value)

  Specified by:
    `value` in interface `javax.persistence.criteria.CriteriaBuilder.In<T>`

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.